.pra-dropdown {
  font-family: var(--pra-typography-font-family-secondary);
  inline-size: 100%;

  .pra-dropdown-header {
    align-items: center;
    color: var(--pra-color-primary-600);
    cursor: pointer;
    display: grid;
    gap: 8px;
    grid-template-columns: auto 24px;
    grid-template-rows: auto;
    inline-size: 100%;
    padding-block: 8px;

    &-with-circle {
      grid-template-columns: 24px auto 24px;
    }
    &--stappenplan-circle-container {
      align-items: center;
      block-size: 24px;
      display: flex;
      inline-size: 24px;
      justify-content: center;
    }
    &--stappenplan-circle {
      block-size: 17px;
      border-color: var(--pra-color-secondary-600);
      border-radius: 50%;
      border-style: solid;
      border-width: 2px;
      inline-size: 17px;
    }
    .pra-dropdown-title {
      font-size: 18px;
      font-weight: 700;
      margin-block: 0;
      margin-inline: 0;
      padding-block: 0;
      padding-inline: 0;
      text-align: start;
    }
    svg {
      block-size: 24px;
    }
  }

  .pra-dropdown-content {
    &--no-line {
      border-inline-start: 2px solid transparent;
      margin-inline-start: 11px;
      padding-inline-start: 16px;
    }
    &--stappenplan {
      border-inline-start: 2px solid var(--pra-color-secondary-600);
      margin-inline-start: 11px;
      padding-inline-start: 16px;
    }
  }
}
